----  ----
name: DARPA: Wait, what?

---- #title ----

![](/images/epiphanyIV.jpg)
## The Power of Openness
by Andreas Olofsson

---- #history ----
background-image: /images/epiphany_array.jpg

## Adapteva History
- 2008: Semiconductor company founded in Lexington, MA
- 2010: 16-core 65nm processor (25GFLOPS/W)
- 2011: 64-core 28nm processor (50GFLOPS/W)
- Accomplished with 3 engineers and $2M
 
## But it wasn't enough!

---- #challenges ----
background-image: /images/epiphanyIV.jpg

## Startup Challenges
* Skepticism: "If it was possible, Intel would have done it"  
* Competition: David vs Goliath and best out of 7!
* Amdahl: Not everything can be improved by 10-100x  
* Leverage: When you are small, EVERYTHING costs $$  
* Time: Engagement mismatch. Weeks, months, years.  

---- #R&D chart ----
background-image: /images/epiphany_wirebond.jpg

## $2B+ of parallel architecture R&D 
|           |             |             |             |             |
|-----------|-------------|-------------|------------ | ----------- |
| Achronix  | Brightscale | Cradle      | Mathstar    | Sandbridge  | 
| Adapteva  | Calxeda     | C-Switch    | Mobileye    | Silicon Sp. |
| Ambric    | Chameleon   | ElementCXI  | Monarch     | Stream Proc |
| Asocs     | Clearspeed  | Greenarrays | Octasic     | Stretch     |
| Aspex     | Cognivue    | Icera       | Picochip    | Tilera      |
| Axis Semi | Coherent L. | Intellasys  | Plurality   | Transputer  |
| BOPS      | CELL        | IP-flex     | PACT        | XMOS        |
| Boston C. | CPUTech     | Larrabee    | Quicksilver | Zilabs      |

---- #light bulb ----
background-image: /images/lightbulb.jpg

## My 2012 "Epiphany"

1. Pricing and paranoia was killing us!
2. Openness is the "secret" to building platforms
3. Follow the leaders:    
-Arduino & Raspberry Pi --> low price breeds adoption   
-Kickstarter --> capital transparency  
-Linux --> open collaboration leadership  
-ARM --> importance of strong corporate partners  

---- #parallella ----
background-image:  /images/parallella_front_slant.png

## Kickstarting Parallel Computing
* Parallella: "The $99 supercomputer"
* 18 CPU cores on a credit card and @ 5W 
* Democratizes access to parallel computing
* $898K raised on Kickstarter in Oct 2012
* Open source and open access
* Now generally available at Amazon & Digi-Key

---- #openness chart ----
background-image: /images/parallella_stack.jpg

## Openness: Before & After
| Metric            | Before |  After   | Boost  | 
| -------------     |------- | ---------| -----  |
| Customers         | 5      |  10,000  | 2000x  |
| Universities      | 1      |  200     | 200x   |
| Site traffic      | 20     |  1,000   | 50x    |
| Twitter Followers | 20     |  6,000   | 50x    |
| Publications      | 2      |  30*     | 15x    |
| Govt customers    | 2      |  10      | 5x     |
| Yearly Sales      | $45K   |  $1.8M   | 40x    |


---- #hurdles ----
background-image: /images/parallella_slant.jpg

## Hurdles to Community Building
| Typical Skill         | Unicorn   | Researcher | Maker  | Consumer 
| ------------          | --------  | ---------- | -----  | ---------
| Board design          | Yes       | No         | No     | No 
| Software plumbing     | Yes       | No         | No     | No
| System administration | Yes       | No         | Yes    | No
| Soldering, assembly   | Yes       | No         | Yes    | No
| Building application  | Yes       | Yes        | Yes    | No
| RTFM                  | Yes       | Yes        | Yes    | ?
| Total Reach           | 10        | 10K        | 10M    | 1B

---- #conclusions ----
background-image: /images/chips_tux.jpg

## Conclusions

* Openness is fundamental to modern collaboration
* "Linux like" movement is happening in hardware
* Adapteva prospering with unprecedented transparency

> "There is plenty of room at the bottom" 
--Richard Feynman













