----  ----
name: Open Source Chip Design

---- #title ----

![](/images/epiphanyIV.jpg)
## Open Source Chip Design: The Final Frontier
by Andreas Olofsson

---- #parallella ----
background-image:  /images/parallella_front_slant.png

## Prelude: Kickstarting Parallel Computing
* Parallella: "An open $99 supercomputer"
* 18 CPU cores on a credit card and @ 5W 
* Democratizes access to parallel computing
* $898K raised on Kickstarter in Oct 2012
* Over 10,000 shipped, available at Amazon & Digikey
* First crowd funded chip!

---- #openness chart ----
background-image: /images/parallella_stack.jpg

## Openness Works!
| Metric            | Before |  After   | Boost  | 
| -------------     |------- | ---------| -----  |
| Site traffic      | 20     |  1,000   | 50x    |
| Twitter Followers | 200    |  6,000   | 30x    |
| Universities      | 1      |  200     | 200x   |
| Publications      | 2      |  30      | 15x    |
| Customers         | 5      |  10,000  | 2000x  |
| Yearly Sales      | $45K   |  $1.8M   | 40x    |

---- #chip design ----
background-image:  /images/epiphany_array.jpg

![](/images/ic_design.png "align=right height=500")
## Chip Design 101  

* ~1 cent / million logic gates
* Arcane languages (Verilog / VHDL) 
* 1 year compilation cycle
* $1M / compiler seat
* $1M / hardware bug
* Completely opaque and proprietary flow  

---- #cost ----
background-image: /images/parallella_stack.jpg

## Status Quo Chip Design Costs     
> "System On Chips cost $100M to develop" --industry pundit  

|                       |                    |
| -------------         |:---------------:   |
| Engineering           | $150K/eng * 100(0) |
| IP Licensing          | $1-10M             |
| EDA Tools (Compilers) | $1-10M             |
| Tapeout (Tooling)     | $5M                |
| Chip packaging        | $50K               |
| Qualification         | $1M                |
| ***TOTAL***           | ***$1-$1,000M***   |

---- #what if? ----
background-image: /images/epiphany_array.jpg

## What if chip design was FREE?  

---- #applications ----
background-image: /images/epiphany_array.jpg

## The long tail of electronics

> "Axiom: Big semiconductor companies only cares about big $$"

...but what about low volume designs (1-100K units)?

* Health (diagnostics, embedded)   
* Robotics (smarter, smaller)  
* Communication (free and pervasive)   
* Special supercomputers (to answer really tough questions)



---- #grande-challenges ----
background-image: /images/parallella_stack.jpg

## FREE Chip Design Grande Challenges

| Challenge             | Industry  | Hurdle      | Current  | Future  
| --------------------  |:-------- :|:----------: | :-------:|:------:
| Open source chip IP   | $5B       | NIH         | $1M+     | $0   
| Open source EDA       | $6B       | Complexity  | $1M+     | $0  
| Engineering           | --        | Time        | 9 months | 24hrs  
| Packaging             | $13B      | Logistics   | $50K     | $0          
| Manufacturing         | $40B      | Logistics   | $2M+     | $1,000*         

---- #conclusion ----
background-image: /images/epiphany_array.jpg

# Conclusion

1. Electronics improvements leads to society improvements
2. Extending Moore's Law is a moral imperative!
3. With process scaling ending, FREE chip design needed to extend Moore's Law






